Page MenuHomePhabricator

Create a ganeti VM in eqiad: an-test-ui1001.eqiad.wmnet
Closed, ResolvedPublic

Description

Tracking task for the creation of a small VM for the Analytics Hadoop test cluster.

Event Timeline

elukey triaged this task as Medium priority.Oct 28 2020, 10:14 AM
elukey created this task.
Restricted Application added a project: Operations. · View Herald TranscriptOct 28 2020, 10:14 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
elukey added a subscriber: razzi.Oct 28 2020, 10:19 AM
elukey@ganeti1011:~$   sudo gnt-group list
Group Nodes Instances AllocPolicy NDParams
row_A     4        36 preferred   ovs=False, ssh_port=22, ovs_link=, spindle_count=1, exclusive_storage=False, cpu_speed=1, ovs_name=switch1, oob_program=
row_B     6         9 preferred   ovs=False, ssh_port=22, ovs_link=, spindle_count=1, exclusive_storage=False, cpu_speed=1, ovs_name=switch1, oob_program=
row_C     4        37 preferred   ovs=False, ssh_port=22, ovs_link=, spindle_count=1, exclusive_storage=False, cpu_speed=1, ovs_name=switch1, oob_program=
row_D     4        11 preferred   ovs=False, ssh_port=22, ovs_link=, spindle_count=1, exclusive_storage=False, cpu_speed=1, ovs_name=switch1, oob_program=

row_B seems the best target for the moment.

Mentioned in SAL (#wikimedia-operations) [2020-10-28T10:38:05Z] <elukey> clean up 10.64.5.7 and 2620:0:861:104:10:64:5:7 from Netbox (records mistakely allocated via the makevm cookbook) - T266648

elukey@cumin1001:~$ sudo cookbook sre.ganeti.makevm eqiad_B an-test-ui1001.eqiad.wmnet --vcpus 2 --memory 4 --disk 20 --network analytics
START - Cookbook sre.ganeti.makevm
Ready to create Ganeti VM an-test-ui1001.eqiad.wmnet in the ganeti01.svc.eqiad.wmnet cluster on row B with 2 vCPUs, 4GB of RAM, 20GB of disk in the analytics network.
Is this correct?
Type "done" to proceed
> done
Allocated IPv4 10.64.21.6/24
Set DNS name of IP 10.64.21.6/24 to an-test-ui1001.eqiad.wmnet
Allocated IPv6 2620:0:861:105:10:64:21:6/64 with DNS name an-test-ui1001.eqiad.wmnet
Generating the DNS records from Netbox data. It will take a couple of minutes.
2020-10-29 10:03:37,265 [INFO] Gathering devices, interfaces, addresses and prefixes from Netbox
2020-10-29 10:05:30,292 [INFO] Gathered 2181 devices from Netbox
2020-10-29 10:05:30,292 [INFO] Generating DNS records
2020-10-29 10:05:37,566 [INFO] Generated 12028 direct and reverse records (6014 each) in 26 direct zones and 168 reverse zones
2020-10-29 10:05:37,567 [INFO] Cloning /srv/netbox-exports/dns.git/ to /tmp/dns-c25pcHBldHM-h8v1a9h2 ...
2020-10-29 10:05:38,135 [INFO] Generating zonefile snippets to directory /tmp/dns-c25pcHBldHM-h8v1a9h2
2020-10-29 10:05:38,924 [INFO] Nothing to commit!
METADATA: {"no_changes": true}
2020-10-29 10:05:39,137 [INFO] Temporary directory /tmp/dns-c25pcHBldHM-h8v1a9h2 removed.
No changes to deploy.
The Ganeti's command output will be printed at the end.
Creating VM an-test-ui1001.eqiad.wmnet in cluster ganeti01.svc.eqiad.wmnet with row=B vcpus=2 memory=4GB disk=20GB link=analytics. This may take
a few minutes.
Thu Oct 29 10:05:40 2020  - INFO: No-installation mode selected, disabling startup
Thu Oct 29 10:05:45 2020  - INFO: Selected nodes for instance an-test-ui1001.eqiad.wmnet via iallocator hail: ganeti1015.eqiad.wmnet, ganeti1016.eqiad.wmnet
Thu Oct 29 10:05:46 2020 * creating instance disks...
Thu Oct 29 10:05:51 2020 adding instance an-test-ui1001.eqiad.wmnet to cluster config
Thu Oct 29 10:05:51 2020 adding disks to cluster config
Thu Oct 29 10:05:51 2020  - INFO: Waiting for instance an-test-ui1001.eqiad.wmnet to sync disks
Thu Oct 29 10:05:51 2020  - INFO: - device disk/0:  0.10% done, 41m 35s remaining (estimated)
Thu Oct 29 10:06:51 2020  - INFO: - device disk/0: 10.90% done, 8m 17s remaining (estimated)
Thu Oct 29 10:07:51 2020  - INFO: - device disk/0: 21.60% done, 7m 2s remaining (estimated)
Thu Oct 29 10:08:52 2020  - INFO: - device disk/0: 32.40% done, 6m 9s remaining (estimated)
Thu Oct 29 10:09:52 2020  - INFO: - device disk/0: 43.10% done, 5m 15s remaining (estimated)
Thu Oct 29 10:10:52 2020  - INFO: - device disk/0: 53.90% done, 4m 7s remaining (estimated)
Thu Oct 29 10:11:52 2020  - INFO: - device disk/0: 64.60% done, 3m 12s remaining (estimated)
Thu Oct 29 10:12:52 2020  - INFO: - device disk/0: 75.40% done, 2m 15s remaining (estimated)
Thu Oct 29 10:13:52 2020  - INFO: - device disk/0: 86.20% done, 1m 13s remaining (estimated)
Thu Oct 29 10:14:53 2020  - INFO: - device disk/0: 96.90% done, 17s remaining (estimated)
Thu Oct 29 10:15:10 2020  - INFO: - device disk/0: 100.00% done, 0s remaining (estimated)
Thu Oct 29 10:15:10 2020  - INFO: - device disk/0: 100.00% done, 0s remaining (estimated)
Thu Oct 29 10:15:10 2020  - INFO: - device disk/0: 100.00% done, 0s remaining (estimated)
Thu Oct 29 10:15:10 2020  - INFO: Instance an-test-ui1001.eqiad.wmnet's disks are in sync
Thu Oct 29 10:15:10 2020  - INFO: Waiting for instance an-test-ui1001.eqiad.wmnet to sync disks
Thu Oct 29 10:15:10 2020  - INFO: Instance an-test-ui1001.eqiad.wmnet's disks are in sync
MAC address for an-test-ui1001.eqiad.wmnet is: aa:00:00:3b:5a:aa
Syncing VMs in DC eqiad to Netbox
Failed to call 'cookbooks.sre.ganeti.makevm.get_vm' [1/20, retrying in 3.00s]:
Failed to call 'cookbooks.sre.ganeti.makevm.get_vm' [2/20, retrying in 6.00s]:
Created interface ##PRIMARY## on VM an-test-ui1001
Attached IPv4 10.64.21.6/24 and IPv6 2620:0:861:105:10:64:21:6/64 to VM an-test-ui1001 and marked as primary IPs
END (PASS) - Cookbook sre.ganeti.makevm (exit_code=0)

Change 637387 had a related patch set uploaded (by Elukey; owner: Elukey):
[operations/puppet@production] Add basic settings for an-test-ui1001 (new vm)

https://gerrit.wikimedia.org/r/637387

Change 637387 merged by Elukey:
[operations/puppet@production] Add basic settings for an-test-ui1001 (new vm)

https://gerrit.wikimedia.org/r/637387

elukey closed this task as Resolved.Oct 29 2020, 4:45 PM